List X.509 certificates managed by Octopus
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
archivedboolean
If true, returns only archived Certificates. Otherwise, returns only non-archived Certificates.firstResultstring
Certificate ID which if specified, adds the Certificate with matching ID to the result if it is not already included.idsstring
Comma delimited list of Certificate IDs which if specified, filters the result to only include Certificates with matching IDs.orderBystring
If the value is ‘recent’ (case-insensitive), then the result will be sorted by Created instead of NotAfter.partialNamestring
Alternative parameter to Search; filters Certificates by Name/Subject/Thumbprint.searchstring
Filters Certificates by Name/Subject/Thumbprint.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 15. Minimum0.tenantstring
Tenant ID which if specified, filters the result to only include Certificates which are related to the provided Tenant.
Response
200 — The requested Certificates
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectArchivedstring
Formatdate-time.CertificateChainarray of objectCertificateDatasensitive valueCertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new certificate
POST /api
Also reachable at /api, /api.
Adds a new certificate
Path Parameters
spaceIdstring (required)
Request Body
CertificateDatasensitive value (required)HasValuebooleanHintstringNewValuestring
EnvironmentIdsarray of stringNamestring (required)
Minimum length 1.Notesstring
Maximum length 10240.Passwordsensitive valueHasValuebooleanHintstringNewValuestring
SpaceIdstring (required)TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.
Response
201 — Created
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
Example Request
{
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"EnvironmentIds": [
"string"
],
"Name": "string",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"SpaceId": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted"
}Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}Get a list of Certificates
GET /api
Also reachable at /api, /api.
Lists X.509 certificates managed by Octopus.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
A set of Certificate IDs to retrieve Certificates for. Example: Certificate-101,Certificate-201.
Response
200 — The list of requested Certificates
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
Example Response
[
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}
]Get the global Certificate
GET /api
Returns the server thumbprint used to identify this Octopus Server to any Tentacles when executing a deployment. Deprecated.
Response
200 — The requested global Certificate
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSignatureAlgorithmstringThumbprintstring
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SignatureAlgorithm": "string",
"Thumbprint": "string"
}Create a self-signed Certificate
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Request Body
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSelfSignedCertificateCurvestring
Elliptic curve for the generated key pair: nistP256, nistP384 or nistP521. Defaults to nistP384 when omitted.SerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
Response
200 — The newly-created self-signed Certificate.
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
Example Request
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SelfSignedCertificateCurve": "string",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}List the X.509 certificates in the supplied Octopus Deploy Space in pages. Current certificates are sorted by soonest expiry first unless OrderBy says otherwise; archived certificates are always sorted by most recently archived
GET /api
Also reachable at /api, /api.
Skip and Take are required. TotalResults is always the real count of matching certificates, including when Tenant or FirstResult is supplied. Certificate data and passwords are never returned by this endpoint.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
archivedboolean
When true, returns only archived certificates. Otherwise, returns only current (non-archived) certificates.firstResultstring
A certificate to return at the top of the first page even if it does not match the other filters, or is archived. Intended for a selector that has to show the currently selected certificate whatever else it lists.idsarray of string
Filters the certificates using the specified ids.orderBystring
The order to return current certificates in: Expiry (the default, soonest to expire first) or Created (most recently added first). Ignored when Archived is true, since archived certificates are always returned most recently archived first. An unrecognised value is treated as Expiry.searchstring
Filters the certificates using the specified fragment, matched against each certificate’s name, subject and thumbprint.skipinteger (required)
Number of items to skip. Defaults to zero. Minimum0.takeinteger (required)
Number of items to take. Defaults to 30. Minimum0.tenantstring
Filters the certificates to those the specified Tenant can use, honouring both direct tenant links and tenant tags.
Response
200 — Success
ItemTypestringItemsarray of objectArchivedstring
Formatdate-time.CertificateChainarray of objectCertificateDatasensitive valueCertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Get a Certificate by ID or Thumbprint
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID or Thumbprint of the Certificate.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Certificate
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}Modify a certificate by ID
PUT /api
Also reachable at /api, /api.
Modifies an existing certificate
Path Parameters
idstring (required)
The ID of the certificate.spaceIdstring (required)
The ID of the space.
Request Body
EnvironmentIdsarray of string
The environments allowed to use this certificate.Idstring (required)
The ID of the certificate.Namestring (required)
The name of the certificate. Minimum length 1.Notesstring
Additional information on the certificate.SpaceIdstring (required)
The ID of the space.TenantIdsarray of string
The tenants this certificate should be associated with.TenantTagsarray of string
The tags this certificate should be associated with.TenantedDeploymentParticipationenum
The kind of deployments where this certificate should be included.
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.
Response
200 — The modified certificate resource
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
Example Request
{
"EnvironmentIds": [
"string"
],
"Id": "string",
"Name": "string",
"Notes": "string",
"SpaceId": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted"
}Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}Delete an existing Certificate
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Certificate to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Archive an existing Certificate
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Certificate to archive.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Archive an existing Certificate
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Certificate to archive.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Certificate has been archived
Example Response
{}Export the certificate
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the certificate to export.spaceIdstring (required)
ID of the space.
Query Parameters
formatenum
The file format in which to export the certificate.
Allowed values:Pkcs12,Der,Pem,Unknown.includePrivateKeyboolean
Whether the private key should be included in the exported file.passwordstring
The password to read the stored certificate.pemOptionsenum
Whether the exported PEM file should include the certificate chain.
Allowed values:PrimaryOnly,PrimaryAndChain,ChainOnly.
Response
200 — Success
Example Response
"string"Replace an existing Certificate with another
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Certificate to Replace.spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
CertificateDatastring (required)
Minimum length 1.Idstring (required)
ID of the Certificate to Replace.PasswordstringSpaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Certificate has been replaced
Archivedstring
Formatdate-time.CertificateChainarray of objectIssuerDistinguishedNamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.SerialNumberstringSignatureAlgorithmNamestringSubjectDistinguishedNamestringThumbprintstringVersioninteger
CertificateDatasensitive valueHasValuebooleanHintstringNewValuestring
CertificateDataFormatenum
Allowed values:Pkcs12,Der,Pem,Unknown.EnvironmentIdsarray of stringHasPrivateKeybooleanIdstring
Gets or sets a unique identifier for this resource.IsExpiredbooleanIssuerCommonNamestringIssuerDistinguishedNamestringIssuerOrganizationstringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringNotAfterstring
Formatdate-time.NotBeforestring
Formatdate-time.NotesstringPasswordsensitive valueHasValuebooleanHintstringNewValuestring
ReplacedBystringSelfSignedbooleanSerialNumberstringSignatureAlgorithmNamestringSpaceIdstringSubjectAlternativeNamesarray of stringSubjectCommonNamestring
The certificate subject’s common name (CN). When creating a self-signed certificate this becomes the generated certificate’s CN, and at least one of SubjectCommonName or SubjectOrganization must be supplied.SubjectDistinguishedNamestringSubjectOrganizationstring
The certificate subject’s organization (O). When creating a self-signed certificate, at least one of SubjectCommonName or SubjectOrganization must be supplied.TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringVersioninteger
Example Request
{
"CertificateData": "string",
"Id": "string",
"Password": "string",
"SpaceId": "string"
}Example Response
{
"Archived": "2020-01-01T00:00:00.000Z",
"CertificateChain": [
{
"IssuerDistinguishedName": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SubjectDistinguishedName": "string",
"Thumbprint": "string",
"Version": 0
}
],
"CertificateData": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"CertificateDataFormat": "Pkcs12",
"EnvironmentIds": [
"string"
],
"HasPrivateKey": true,
"Id": "string",
"IsExpired": true,
"IssuerCommonName": "string",
"IssuerDistinguishedName": "string",
"IssuerOrganization": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"NotAfter": "2020-01-01T00:00:00.000Z",
"NotBefore": "2020-01-01T00:00:00.000Z",
"Notes": "string",
"Password": {
"HasValue": true,
"Hint": "string",
"NewValue": "string"
},
"ReplacedBy": "string",
"SelfSigned": true,
"SerialNumber": "string",
"SignatureAlgorithmName": "string",
"SpaceId": "string",
"SubjectAlternativeNames": [
"string"
],
"SubjectCommonName": "string",
"SubjectDistinguishedName": "string",
"SubjectOrganization": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Version": 0
}Unarchive an existing archived Certificate
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Certificate to unarchive.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success
Unarchive an existing archived Certificate
POST /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Certificate to unarchive.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Certificate has been un-archived
Example Response
{}GET /api/{spaceId}/certificates/{id}/usages
GET /api
Also reachable at /api, /api.
Get the usages of a certificate
Path Parameters
idstring (required)
ID of the certificate.spaceIdstring (required)
ID of the space.
Response
200 — The requested Certificate usages
DeploymentTargetUsagesarray of objectArchitecturestringEndpointobjectEnvironmentIdsarray of stringHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringRolesarray of stringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LibraryVariableSetUsagesarray of objectContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectUsagesarray of objectAllowIgnoreChannelRulesbooleanAutoCreateReleasebooleanAutoDeployReleaseOverridesarray of objectClonedFromProjectIdstringCombineHealthAndSyncStatusInDashboardLiveStatusbooleanDefaultGuidedFailureModeenum
Allowed values:EnvironmentDefault,Off,On.DefaultPowerShellEditionstringDefaultToSkipIfAlreadyInstalledbooleanDeploymentChangesTemplatestringDeploymentProcessIdstringDeprovisioningRunbookIdstringDescriptionstringDiscreteChannelReleaseboolean
Treats releases of different channels to the same environment as a seperate deployment dimension. ‘False’ indicates a “hotfix”-style usage of channels (single release active per environment ignoring channels), whereasTrueindicates “microservice”-style usage (single release per environment per channel).ExecuteDeploymentsOnEventBasedPipelinebooleanExtensionSettingsarray of objectForcePackageDownloadbooleanIconobjectIdstring
Gets or sets a unique identifier for this resource.IncludedLibraryVariableSetIdsarray of string
Library variable sets included in the project. Sets are listed in order of precedence, with earlier items in the list overriding any variables with the same name and scope definition appearing later in the list.IsBadgesEnabledbooleanIsDisabledbooleanIsVersionControlledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LifecycleIdstringLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringPersistenceSettingsobjectProjectConnectivityPolicyobjectProjectGroupIdstringProjectTagsarray of string
List of tags assigned to this project.ProjectTemplateDetailsobjectProvisioningRunbookIdstringReleaseCreationStrategyobjectReleaseNotesTemplatestringSlugstringSpaceIdstringTemplatesarray of objectTenantedDeploymentModeenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.VariableSetIdstringVersioningStrategyobject
TenantUsagesarray of objectClonedFromTenantIdstringCustomFieldsarray of stringDescriptionstringIconobjectIdstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectEnvironmentsobjectSlugstringSpaceIdstringTenantTagsarray of string
Tags are referenced by CanonicalName like {TagSetName}/{TagName}.
Example Response
{
"DeploymentTargetUsages": [
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"EnvironmentIds": [
"string"
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LibraryVariableSetUsages": [
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "string",
"Templates": [
{}
],
"VariableSetId": "string",
"Version": 0
}
],
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectUsages": [
{
"AllowIgnoreChannelRules": true,
"AutoCreateRelease": true,
"AutoDeployReleaseOverrides": [
{}
],
"ClonedFromProjectId": "string",
"CombineHealthAndSyncStatusInDashboardLiveStatus": true,
"DefaultGuidedFailureMode": "EnvironmentDefault",
"DefaultPowerShellEdition": "string",
"DefaultToSkipIfAlreadyInstalled": true,
"DeploymentChangesTemplate": "string",
"DeploymentProcessId": "string",
"DeprovisioningRunbookId": "string",
"Description": "string",
"DiscreteChannelRelease": true,
"ExecuteDeploymentsOnEventBasedPipeline": true,
"ExtensionSettings": [
{}
],
"ForcePackageDownload": true,
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IncludedLibraryVariableSetIds": [
"string"
],
"IsBadgesEnabled": true,
"IsDisabled": true,
"IsVersionControlled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LifecycleId": "string",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PersistenceSettings": {
"Type": "Database"
},
"ProjectConnectivityPolicy": {
"AllowDeploymentsToNoTargets": true,
"ExcludeUnhealthyTargets": true,
"SkipMachineBehavior": "None",
"TargetRoles": [
"string"
]
},
"ProjectGroupId": "string",
"ProjectTags": [
"string"
],
"ProjectTemplateDetails": {
"IsShared": true,
"Slug": "string",
"VersionMask": "string"
},
"ProvisioningRunbookId": "string",
"ReleaseCreationStrategy": {
"ChannelId": "string",
"ReleaseCreationPackage": {}
},
"ReleaseNotesTemplate": "string",
"Slug": "string",
"SpaceId": "string",
"Templates": [
{}
],
"TenantedDeploymentMode": "Untenanted",
"VariableSetId": "string",
"VersioningStrategy": {
"DonorPackage": {},
"Template": "string"
}
}
],
"TenantUsages": [
{
"ClonedFromTenantId": "string",
"CustomFields": [
"string"
],
"Description": "string",
"Icon": {
"Color": "string",
"Id": "string"
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectEnvironments": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
},
"Slug": "string",
"SpaceId": "string",
"TenantTags": [
"string"
]
}
]
}Request the list of Certificate Configurations
GET /api
Only returns configurations for the global Certificate
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested Certificate Configurations
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSignatureAlgorithmstringThumbprintstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SignatureAlgorithm": "string",
"Thumbprint": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get a Certificate Configuration by ID
GET /api
Path Parameters
idstring (required)
ID of the CertificateConfiguration to load.
Response
200 — The certificate configuration matching the supplied ID
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringSignatureAlgorithmstringThumbprintstring
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SignatureAlgorithm": "string",
"Thumbprint": "string"
}Get public certificate
GET /api
Downloads the public portion of the certificate in .cer format
Path Parameters
idstring (required)
The Id of the certificate to retrieve the public portion of.
Response
200 — Success
Example Response
"string"